import { ChangeDetectorRef } from '@angular/core';
import { StateListener } from '../state-listener.component';
import { DrawerService } from '../service/drawer.service';
/**
 * The `<blui-drawer-body>` is a wrapper for the main content of the Drawer.
 * The typical use case is to display `<blui-drawer-nav-group>` elements, but custom elements (e.g., for spacing) are accepted as well.
 */
export declare class DrawerBodyComponent extends StateListener {
    constructor(drawerService: DrawerService, changeDetectorRef: ChangeDetectorRef);
}
